org.jbpm.services.api.query

## Class NamedQueryMapper<T>

- java.lang.Object
- - org.jbpm.services.api.query.NamedQueryMapper<T>

- Type Parameters:
    `T` - the result type expected to be returned
  All Implemented Interfaces:
    Serializable, QueryResultMapper<T>

      public class NamedQueryMapper<T>
      extends Object
      implements QueryResultMapper<T>

  A delegate mapper that will delay look up of actual mapper to the time its `map` method is invoked. Especially useful for EJB remote usage when dependency to api only is preferred and the actual implementations will be found on server side.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.jbpm.services.api.query.QueryResultMapper

      `COLUMN_ACTIVATIONTIME, COLUMN_ACTUALOWNER, COLUMN_CORRELATIONKEY, COLUMN_CREATEDBY, COLUMN_CREATEDON, COLUMN_DEPLOYMENTID, COLUMN_DESCRIPTION, COLUMN_DUEDATE, COLUMN_DURATION, COLUMN_END, COLUMN_EXTERNALID, COLUMN_IDENTITY, COLUMN_JOB_BUSINESSKEY, COLUMN_JOB_COMMANDNAME, COLUMN_JOB_ID, COLUMN_JOB_MESSAGE, COLUMN_JOB_STATUS, COLUMN_JOB_TIMESTAMP, COLUMN_NAME, COLUMN_ORGANIZATIONAL_ENTITY, COLUMN_OUTCOME, COLUMN_PARENTID, COLUMN_PARENTPROCESSINSTANCEID, COLUMN_PRIORITY, COLUMN_PROCESSID, COLUMN_PROCESSINSTANCEDESCRIPTION, COLUMN_PROCESSINSTANCEID, COLUMN_PROCESSNAME, COLUMN_PROCESSVERSION, COLUMN_START, COLUMN_STATUS, COLUMN_TASK_PROCESSID, COLUMN_TASK_PROCESSINSTANCEID, COLUMN_TASK_STATUS, COLUMN_TASK_VAR_NAME, COLUMN_TASK_VAR_TYPE, COLUMN_TASK_VAR_VALUE, COLUMN_TASKID, COLUMN_VAR_NAME, COLUMN_VAR_VALUE, COLUMN_WORKITEMID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedQueryMapper(String mapperName)` Creates new instance with actual mapper name

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryResultMapper<T>` | `forColumnMapping(Map<String,String> columnMapping)` Returns new instance of the mapper for given column mapping
    `String` | `getName()` Returns unique name of this query result mapper implementation
    `Class<?>` | `getType()` Returns type of the data produced by this mapper.
    `T` | `map(Object result)` Based on raw data set returns mapped/transformed data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedQueryMapper

          public NamedQueryMapper(String mapperName)

      Creates new instance with actual mapper name
      Parameters:
        `mapperName` - unique name of the mapper that will be used to produce results.

  - ### Method Detail

    - #### map

          public T map(Object result)

      Description copied from interface: `QueryResultMapper`
      Based on raw data set returns mapped/transformed data. Usually it will get set of raw data and return list (or collection in general) of custom object like ProcessInstance or UserTaskInstance
      Specified by:
        `map` in interface `QueryResultMapper<T>`
      Parameters:
        `result` - raw data set in custom format
      Returns:
        mapped result of raw data set

    - #### getName

          public String getName()

      Description copied from interface: `QueryResultMapper`
      Returns unique name of this query result mapper implementation
      Specified by:
        `getName` in interface `QueryResultMapper<T>`
      Returns:

    - #### getType

          public Class<?> getType()

      Description copied from interface: `QueryResultMapper`
      Returns type of the data produced by this mapper. If the type is collection then the returned type should be type of the elements in collection e.g.:
      `List<ProcessInstanceDesc> returned type should be ProcessInstanceDesc.class`
      Specified by:
        `getType` in interface `QueryResultMapper<T>`
      Returns:

    - #### forColumnMapping

          public QueryResultMapper<T> forColumnMapping(Map<String,String> columnMapping)

      Description copied from interface: `QueryResultMapper`
      Returns new instance of the mapper for given column mapping
      Specified by:
        `forColumnMapping` in interface `QueryResultMapper<T>`
      Parameters:
        `columnMapping` - provides column mapping (name to type) that can be shipped to mapper for improved transformation - can be null (accepted types: string, long, integer, date, double)
      Returns:
        new instance of the mapper configured with column mapping

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.